#include "deftype.h"

int GetTokenNo(unchar *line,unchar *sep)
/* line:00で終わる文字列 */
/* sep:セパレーター群（8bit-code only）*/
{
int count=0;
	/* セパレーター指定が無い時はtokenなし */
	if (*sep==0) return(0);
	while (1) {
		/* skip sparater */
		while (kstrchar(sep,*line)>=0) line++;
		if (*line==0) break;
		
		count++; /* tokenの数 */
		
		/* skip word */
		while (kstrchar(sep,*line)<0) {
			if (*line++==0) return(count);
		}
	}
	return(count);
}
